
$(document).ready(function(){
	var data = "customer/data.php";
	$('#data-mahasiswa').load(data);
	
	$("#form-tambah").submit(function(e) {
		e.preventDefault();
		
		$("#error_nama_cust").html('');
		$("#error_alamat").html('');
		$("#error_no_cust").html('');
		$("#error_sales").html('');
		$("#error_tod").html('');
		$("#error_kota").html('');
		$("#error_ho_id").html('');
		
		var dataform = $("#form-tambah").serialize();
		$.ajax({
			url: "customer/input.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_nama_cust").html(hasil.error.nama_cust);
					$("#error_alamat").html(hasil.error.alamat);
					$("#error_no_cust").html(hasil.error.no_cust);
					$("#error_sales").html(hasil.error.sales);
					$("#error_tod").html(hasil.error.tod);
					$("#error_kota").html(hasil.error.kota);
					$("#error_ho_id").html(hasil.error.ho_id);
				} else {
					$('#modal-tambah').modal('hide');
					$("#nama_cust").val('');
					$("#alamat").val('');
					$("#no_cust").val('');
					$("#sales").val('');
					$("#tod").val('');
					$("#kota").val('');
					$("#ho_id").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	
	$(document).on('click','#edit',function(e){
		e.preventDefault();
		$("#modal-edit").modal('show');
		$.post('customer/edit.php',
			{id:$(this).attr('data-id')},
			function(html){
				$("#data-edit").html(html);
			}   
		);
	});
	
	
	$("#form-edit").submit(function(e) {
		e.preventDefault();
		
		$("#error_nama_cust").html('');
		$("#error_alamat").html('');
		$("#error_no_cust").html('');
		$("#error_sales").html('');
		$("#error_tod").html('');
		$("#error_kota").html('');
		$("#error_ho_id").html('');
		
		var dataform = $("#form-edit").serialize();
		$.ajax({
			url: "customer/update.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_edit_nama_cust").html(hasil.error.edit_nama_cust);
					$("#error_edit_alamat").html(hasil.error.edit_alamat);
					$("#error_edit_no_cust").html(hasil.error.edit_no_cust);
					$("#error_edit_sales").html(hasil.error.edit_sales);
					$("#error_edit_tod").html(hasil.error.edit_tod);
					$("#error_edit_kota").html(hasil.error.edit_kota);
					$("#error_edit_ho_id").html(hasil.error.edit_ho_id);
				} else {
					$('#modal-edit').modal('hide');
					$("#nama_cust").val('');
					$("#alamat").val('');
					$("#no_cust").val('');
					$("#sales").val('');
					$("#tod").val('');
					$("#kota").val('');
					$("#ho_id").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	


});